Skip to content

List Files Tier 2

GET/api/projects/:id/filesCopied!

Returns files in a project. Restricted reviewers only receive files explicitly marked for restricted access.

Example

ts
const files = await client.files.list("bdbff5de-96d7-468f-9db0-85fe28bd6b62");
bash
youvico file list --project bdbff5de-96d7-468f-9db0-85fe28bd6b62
bash
curl 'https://api.youvico.com/api/projects/bdbff5de-96d7-468f-9db0-85fe28bd6b62/files' \
  -H 'Authorization: Bearer YOUR_API_KEY'
json
{
  "data": [
    {
      "id": "FX1234567890ABCD",
      "name": "launch-cut.mp4",
      "description": "Final review upload",
      "mode": "LOCAL",
      "mimeType": "video/mp4",
      "status": "UPLOADED",
      "tag": "NEED_REVIEW",
      "size": 82415032,
      "allowRestricted": true,
      "order": 1,
      "folder": {
        "id": "DX1234567890ABCD"
      }
    }
  ]
}

Request

Path

idstringrequired
Project ID

Response

Returns 200 OK.

dataarray
Files
data[].idstring
File ID

Example: FX1234567890ABCD

data[].namestring
File name

Example: launch-cut.mp4

data[].descriptionstring?
File description

Example: Final review upload

data[].modestring
File source mode

Possible values: LOCALYOUTUBE

Example: LOCAL

data[].mimeTypestring?
MIME type

Example: video/mp4

data[].statusstring
Upload status

Possible values: UPLOADINGUPLOADEDFAILED

Example: UPLOADED

data[].tagstring
Review tag

Possible values: IN_PROGRESSNEED_REVIEWNEED_EDITON_HOLDAPPROVEDREJECTEDCLOSED

Example: NEED_REVIEW

data[].sizenumber
File size in bytes

Example: 82415032

data[].allowRestrictedboolean
Whether restricted reviewers can access the file

Example: true

data[].ordernumber
Display order

Example: 1

data[].folderobject?
Parent folder
data[].folder.idstring
Parent folder ID

Example: DX1234567890ABCD